import * as _nuxt_schema from '@nuxt/schema';
import { QueryClientConfig, VueQueryPluginOptions } from '@tanstack/vue-query';

declare const composables: readonly ["useQuery", "useQueries", "useInfiniteQuery", "useMutation", "useIsFetching", "useIsMutating", "useQueryClient"];
type VueQueryComposables = typeof composables;
interface ModuleOptions {
    stateKey: string;
    autoImports: VueQueryComposables | false;
    queryClientOptions: QueryClientConfig | undefined;
    vueQueryPluginOptions: VueQueryPluginOptions;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
